/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.portlet;

/**
 * Each concrete configuration class must extend this.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public abstract class AbstractMonitoringConfig {
	/** Description of the monitored resource, used for display purposes. */
    protected String monitoredResource;
    /** URL of the web-service that serves the monitoring portlet. */
    protected String serviceUrl;

    public AbstractMonitoringConfig(String monitoredResource, String serviceUrl) {
		this.monitoredResource = monitoredResource;
		this.serviceUrl = serviceUrl;
	}
    
	public String getMonitoredResource() {
		return monitoredResource;
	}

	public String getServiceUrl() {
		return serviceUrl;
	}

	public String toString() {
        return String.format("\"%s\"", monitoredResource);
    }
}
