package hu.midori.kosmos.server;

import java.io.Serializable;

import org.aopalliance.intercept.MethodInvocation;

/**
 * Wraps both method invocation and its return value,
 * so that it can be stored in the cache and can be updated
 * any time later.
 * 
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class UpdateableCachedValue implements Serializable {// TODO maybe "cache" package?
	/** Invocation information about the method. */
	private MethodInvocation invocation;
	/** Return value of the invoked method. */
	private Serializable methodResult;

	public UpdateableCachedValue(MethodInvocation invocation, Serializable result) {
		this.invocation = invocation;
		this.methodResult = result;
	}

	public MethodInvocation getInvocation() {
		return invocation;
	}

	public Serializable getMethodResult() {
		return methodResult;
	}
}
